summaryrefslogtreecommitdiffstats
path: root/network/proxytunnel/proxytunnel.SlackBuild
diff options
context:
space:
mode:
author Michael Bueker2010-05-12 23:32:42 +0200
committer Robby Workman2010-05-12 23:32:42 +0200
commit11b0997b44930d9f60530ad0c0b8ab872f06ea39 (patch)
treea170afebacf7e6eff9c2e744b595433d8b781b45 /network/proxytunnel/proxytunnel.SlackBuild
parenteeab8c07ba4ac154bd5e43df2c5f605df1053dcb (diff)
downloadslackbuilds-11b0997b44930d9f60530ad0c0b8ab872f06ea39.tar.gz
network/proxytunnel: Added to 12.2 repository
Diffstat (limited to 'network/proxytunnel/proxytunnel.SlackBuild')
-rw-r--r--network/proxytunnel/proxytunnel.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/network/proxytunnel/proxytunnel.SlackBuild b/network/proxytunnel/proxytunnel.SlackBuild
new file mode 100644
index 0000000000..1883820738
--- /dev/null
+++ b/network/proxytunnel/proxytunnel.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for proxytunnel
+
+# Written by Michael Bueker (m.bueker@berlin.de)
+
+PRGNAM=proxytunnel
+VERSION=${VERSION:-1.9.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS+="$SLKCFLAGS"
+make install PREFIX=/usr MANDIR=/usr/man DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -x CHANGES # Whatever!
+cp -a \
+ CHANGES CREDITS INSTALL KNOWN_ISSUES LICENSE.txt README RELNOTES TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz